
$(document).ready(function() {
	
	// Slider
	var ItemWidth = $('.popular_items .slider_item_box').outerWidth(true);
	var ItemMargin = parseInt($('.popular_items .slider_item_box').css('marginLeft').replace('px',''));
	
	var HolderW = $('.popular_items .image_slider_content_outer_wrapper').width();

	var ScrollMaxLeft = -(((ItemWidth + ItemMargin) * ItemsMax) - HolderW);

	$('.popular_items .image_slider_content_inner_wrapper').css({
		'width': ((ItemWidth + ItemMargin) * ItemsMax) + 'px'
	});

	var ScrollPosition = 0;

	$('.popular_items .trigger_right').click(function() {
		++ScrollPosition;
		++ScrollPosition;

		var scrollTo = -((ItemWidth + ItemMargin) * ScrollPosition);
		if (scrollTo < ScrollMaxLeft) {
			scrollTo = ScrollMaxLeft - ItemMargin;

			--ScrollPosition;
			--ScrollPosition;
		}

		$('.popular_items .image_slider_content_inner_wrapper').animate({
			'left': scrollTo + 'px'
		});
	}).unbind('mouseenter').bind('mouseenter', function() {
		$(this).css({
			'opacity': '0.8'
		});
	}).unbind('mouseleave').bind('mouseleave', function() {
		$(this).css({
			'opacity': '1.0'
		});
	});

	$('.popular_items .trigger_left').click(function() {
		--ScrollPosition;
		--ScrollPosition;

		var scrollTo = -((ItemWidth + ItemMargin) * ScrollPosition);
		if (scrollTo > 0) {
			scrollTo = 0;

			++ScrollPosition;
			++ScrollPosition;
		}

		$('.popular_items .image_slider_content_inner_wrapper').animate({
			'left': scrollTo + 'px'
		});
	}).unbind('mouseenter').bind('mouseenter', function() {
		$(this).css({
			'opacity': '0.8'
		});
	}).unbind('mouseleave').bind('mouseleave', function() {
		$(this).css({
			'opacity': '1.0'
		});
	});
	
	$('.popular_button').click(function(e) {
		e.preventDefault();
		$('.popular_button_active').removeClass('popular_button_active');
		$(this).addClass('popular_button_active');
			
	});
	
	
});